<?php


//WARNING make sure you have access to your web hosting files. And make sure you download the functions.php BEFORE you edit (if something goes wrong, simply re-upload your backed up file)
//these codes go in WordPress theme functions.php
function rankya_yoast_filter_plugin_update( $value ) {
    unset( $value->response['wordpress-seo/wordpress-seo.php'] );    
    return $value;
}
add_filter( 'site_transient_update_plugins', 'rankya_yoast_filter_plugin_update' );
function rankya_yoast_edits() {
	include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); 
	if ( is_plugin_active( 'wordpress-seo/wp-seo.php' ) || is_plugin_active( 'wordpress-seo-premium/wp-seo-premium.php' ) ) {
		function yoast_remove_blocks_with_css() {
				 if ( is_user_logged_in() && current_user_can( 'manage_options' ) || is_admin()) { ?>
<style type="text/css">#wpseo-dismiss-about, #wpseo-dismiss-recalculate, li#wp-admin-bar-wpseo-menu, #sidebar-container #sidebar, .wpseotab.active > p:nth-child(6), .wpseotab.active > p:nth-child(7), #wpseo-dismiss-gsc, #yst_opengraph_image_warning, #metamessage.error, #blocking_files, [id*="metadesc_found"][class*="wrong"], .wpseo-tab-video-container, #wpseo-dashboard-overview, #i18n_promo_box, #wpseo-score-readability.column-wpseo-score-readability, .yoast-issue-counter,#yoast_internal_linking, div.yoast_premium_upsell_admin_block, .yoast_premium_upsell, #wpseo-debug-info,[class*="container__alert"],[class*="container__warning"],
.wpseo-score-readability, #wpseo-local-seo-upsell, #alt-text-description, .hsds-beacon .hnMPNC iframe, #yoast-helpscout-beacon, 
.toplevel_page_wpseo_dashboard span.update-plugins, .yoast-sidebar__section,
.xl\:yst-grid-cols-1
{	
display:none !important
}
</style>
<?php }
} 
add_action( 'admin_head', 'yoast_remove_blocks_with_css' );
		function yoast_seo_dashboard_overview_widget() {
				remove_meta_box( 'wpseo-dashboard-overview', 'dashboard', 'side' );
			}
			add_action( 'wp_dashboard_setup', 'yoast_seo_dashboard_overview_widget' ); 
		
			function yoast_ignore_tour() {
				update_user_meta( get_current_user_id(), 'yoast_ignore_tour', true );
			}
			add_action( 'admin_init', 'yoast_ignore_tour', 999 ); 
			
		function wpseo_disable_rel_next_home( $link ) {
			  if (is_home() || is_front_page()) {
				return false;
			  }
			}
			add_filter( 'wpseo_next_rel_link', 'wpseo_disable_rel_next_home' );
function remove_stupid_adminbar_menu_for_yoast() {
	global $wp_admin_bar;
	$wp_admin_bar->remove_menu('wpseo-menu');
}
add_action( 'wp_before_admin_bar_render', 'remove_stupid_adminbar_menu_for_yoast' );
		
/*
if you want to disable Schema code of Yoast, uncomment this
function remove_json_ld_output( $data ) {
 $data = array();
 return $data;
}*/
add_filter('wpseo_json_ld_output', 'remove_json_ld_output', 10, 1);
function rankya_columns_filter( $columns ) {
   unset($columns['wpseo-score']);
   unset($columns['wpseo-focuskw']);
   return $columns;
   }
    add_filter( 'manage_edit-page_columns', 'rankya_columns_filter',10, 1 );	
    add_filter( 'manage_edit-post_columns', 'rankya_columns_filter',10, 1 );
	
add_action('get_header', 'start_ob');
add_action('wp_head', 'end_ob', 999);
function start_ob() {
	ob_start('remove_yoast');
}
function end_ob() {
	ob_end_flush();
}
function remove_yoast($output) {
	if (defined('WPSEO_VERSION')) {
		$targets = array(
			'<!-- This site is optimized with the Yoast SEO plugin v'.WPSEO_VERSION.' - https://yoast.com/wordpress/plugins/seo/ -->',
			'<!-- This site is optimized with the Yoast SEO plugin v'.WPSEO_VERSION.' - https://yoa.st/1yg?utm_content='.WPSEO_VERSION.' -->',
			'<!-- This site is optimized with the Yoast SEO Premium plugin v'.WPSEO_VERSION.' - https://yoast.com/wordpress/plugins/seo/ -->',
			'<!-- This site is optimized with the Yoast SEO Premium plugin v'.WPSEO_VERSION.' - https://yoa.st/1yg?utm_content='.WPSEO_VERSION.' -->',
			'<!-- / Yoast SEO plugin. -->',
			'<!-- / Yoast SEO Premium plugin. -->',
			'<meta name="robots" content="noodp"/>' 
		);
		$output = str_ireplace($targets, '', $output);
		$output = trim($output); 
		$output = preg_replace('/^[ \t]*[\r\n]+/m', '', $output);
	}
	return $output;
}
	function rankya_remove_yoast_notice() {
    if ( is_plugin_active( 'wordpress-seo/wp-seo.php' ) ) {
        if ( !class_exists( 'Yoast_Notification_Center' ) ) {
            require_once( WP_PLUGIN_DIR . '/wordpress-seo/admin/class-yoast-notification-center.php' );
        }
        remove_action( 'all_admin_notices', array( Yoast_Notification_Center::get(), 'display_notifications' ) );
    }
}
add_action( 'admin_init', 'rankya_remove_yoast_notice' );
} 
} 
add_action( 'init', 'rankya_yoast_edits' );

add_filter( 'nofollow_rss_links', '__return_false' );
add_filter( 'wpseo_remove_reply_to_com', '__return_false' );
////////////////////////////////////////////////////////////////////////////////////////Yoast END